Bug 403317 - KMAIL2; "Share Text" plugin segfaults
Summary: KMAIL2; "Share Text" plugin segfaults
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: composer (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 403566 403581 404237 404467 405117 405568 407026 408798 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-01-17 16:43 UTC by Tobias Klaus
Modified: 2019-06-16 19:30 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.11.1


Attachments
New crash information added by DrKonqi (50.79 KB, text/plain)
2019-01-23 09:21 UTC, Lieven Tytgat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Klaus 2019-01-17 16:43:22 UTC
Application: kontact (5.10.1)

Qt Version: 5.11.3
Frameworks Version: 5.54.0
Operating System: Linux 4.19.13-gentoo x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
Whenever I try to compose a new Mail (mostly using Strg+N) kmail2 crashes with a segfault. After this happens kmail crashed during startup with the attached backtrace.

This happens until I manually remove all autosaved mails from .local/share/kmail2/autosave/.

If needed I can supply a backtrace of the inital crash too.

The crash can be reproduced every time.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f8135731800 (LWP 19357))]

Thread 31 (Thread 0x7f7fe9dca700 (LWP 19404)):
#0  0x00007f812c0528a4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f812c00b229 in g_main_context_query () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f812c00b9a7 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f812c00bb3c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f8132cd8c5b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f8132c84b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#6  0x00007f8132ae6b4a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#7  0x00007f8132af05ef in ?? () from /usr/lib64/libQt5Core.so.5
#8  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#9  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 30 (Thread 0x7f7fea5cb700 (LWP 19403)):
#0  0x00007f813215e993 in poll () from /lib64/libc.so.6
#1  0x00007f812c00ba29 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f812c00bb3c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f8132cd8c5b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f8132c84b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f8132ae6b4a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f8132af05ef in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 29 (Thread 0x7f7feb22a700 (LWP 19402)):
#0  0x00007f813215e993 in poll () from /lib64/libc.so.6
#1  0x00007f812c00ba29 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f812c00bb3c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f8132cd8c5b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f8132c84b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f8132ae6b4a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f8132af05ef in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 28 (Thread 0x7f80bcd77700 (LWP 19393)):
#0  0x00007f8119968a58 in evutil_vsnprintf () from /usr/lib64/libevent-2.1.so.6
#1  0x00007f811996bf2d in ?? () from /usr/lib64/libevent-2.1.so.6
#2  0x00007f811996c21c in event_warn () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f811996d924 in ?? () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f81199636f5 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f81235c5331 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f81235e59fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812360975f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#10 0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 27 (Thread 0x7f80bd7fa700 (LWP 19385)):
#0  0x00007f812df1491a in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2ad7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f4037 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f4122 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91a1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa53f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x7f80bdffb700 (LWP 19384)):
#0  0x00007f812df145ec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f811a8d5f54 in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007f811a8d5f99 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#4  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x7f80be7fc700 (LWP 19383)):
#0  0x00007f813215a070 in read () from /lib64/libc.so.6
#1  0x00007f81049e1fa1 in pa_read () from /usr/lib64/pulseaudio/libpulsecommon-12.2.so
#2  0x00007f810507236e in pa_mainloop_prepare () from /usr/lib64/libpulse.so.0
#3  0x00007f8105072de0 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f8105072ea0 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f8105080d39 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f8104a10e78 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-12.2.so
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7f80beffd700 (LWP 19382)):
#0  0x00007f813217975b in ?? () from /lib64/libc.so.6
#1  0x00007f813217b7ac in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f811996c030 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f811996c21c in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f811996d924 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f81199636f5 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f81235c5331 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f81235e59fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f812360975f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#11 0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7f80bf7fe700 (LWP 19381)):
#0  0x00007f812df145ec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2a09 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f404c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f40df in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235be59a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235e59fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f812360975f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#9  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7f80c4ff9700 (LWP 19380)):
#0  0x00007f812df1491a in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2ad7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f4037 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235be5a8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235e59fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f812360975f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7f80c57fa700 (LWP 19379)):
#0  0x00007f812df145ec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2a09 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f812409db78 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f812360959c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#6  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f80c5ffb700 (LWP 19378)):
#0  0x00007f812df145ec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2a09 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f404c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f40df in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91b8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa53f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f80c67fc700 (LWP 19377)):
#0  0x00007f813217975b in ?? () from /lib64/libc.so.6
#1  0x00007f813217b7ac in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f811996c030 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f811996c21c in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f811996d924 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f81199636f5 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f81235c5331 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f81235e59fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f81226bcfda in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f81226bd5ff in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f8123609818 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#13 0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f80c6ffd700 (LWP 19376)):
#0  0x00007f812df145ec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2a09 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f404c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f40df in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91b8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa53f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f80c77fe700 (LWP 19375)):
#0  0x00007f812df145ec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2a09 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f404c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f40df in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91b8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa729 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f80bffff700 (LWP 19374)):
#0  0x00007f812df145ec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2a09 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f404c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f40df in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91b8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa53f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f80c7fff700 (LWP 19373)):
#0  0x00007f812df145ec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2a09 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f404c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f40df in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91b8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa53f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f80e4ff9700 (LWP 19372)):
#0  0x00007f812df145ec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2a09 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f404c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f40df in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91b8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa53f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f80e57fa700 (LWP 19371)):
#0  0x00007f812df1491a in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2ad7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f4037 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f4122 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91a1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa53f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f80e5ffb700 (LWP 19370)):
#0  0x00007f812df1491a in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2ad7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f4037 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f4122 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91a1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa729 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f80e67fc700 (LWP 19369)):
#0  0x00007f812df1491a in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2ad7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f4037 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f4122 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91a1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa729 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f80e6ffd700 (LWP 19368)):
#0  0x00007f812df1491a in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2ad7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f4037 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f4122 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91a1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa53f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f80e77fe700 (LWP 19367)):
#0  0x00007f812df1491a in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2ad7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f4037 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f4122 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91a1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa729 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f80e7fff700 (LWP 19366)):
#0  0x00007f812df1491a in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2ad7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f4037 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f4122 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235f91a1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235fa53f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#8  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f80f4ea5700 (LWP 19365)):
#0  0x00007f813217975b in ?? () from /lib64/libc.so.6
#1  0x00007f813217b7ac in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f811996c030 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f811996c21c in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f811996d924 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f81199636f5 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f81235c5331 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f81235e59fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f812360975f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#11 0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f80f56a6700 (LWP 19364)):
#0  0x00007f812df145ec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f81235f2a09 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f81235f404c in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f81235f40df in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f81235be59a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f81235e59fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f812360975f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#9  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f80f5ea7700 (LWP 19363)):
#0  0x00007f813217975b in ?? () from /lib64/libc.so.6
#1  0x00007f813217b7ac in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f811996c030 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f811996c21c in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f811996d924 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f81199636f5 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f81235c5331 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f81235e59fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f812360975f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f8123605141 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#11 0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f80f7fff700 (LWP 19360)):
#0  0x00007f813215e993 in poll () from /lib64/libc.so.6
#1  0x00007f812c00ba29 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f812c00bb3c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f8132cd8c5b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f8132c84b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f8132ae6b4a in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f81313b0de5 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007f8132af05ef in ?? () from /usr/lib64/libQt5Core.so.5
#8  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#9  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f80fec36700 (LWP 19359)):
#0  0x00007f812df145ec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f80fefea56b in ?? () from /usr/lib64/dri/i965_dri.so
#2  0x00007f80fefea297 in ?? () from /usr/lib64/dri/i965_dri.so
#3  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#4  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f8107abf700 (LWP 19358)):
#0  0x00007f813215e993 in poll () from /lib64/libc.so.6
#1  0x00007f812e3357f7 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f812e33742a in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007f81099d87b9 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f8132af05ef in ?? () from /usr/lib64/libQt5Core.so.5
#5  0x00007f812df0d9aa in start_thread () from /lib64/libpthread.so.0
#6  0x00007f813216a56f in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f8135731800 (LWP 19357)):
[KCrash Handler]
#6  0x00007f8132cb0ab8 in QObject::property(char const*) const () from /usr/lib64/libQt5Core.so.5
#7  0x00007f8134abefd3 in KXMLGUIFactoryPrivate::refreshActionProperties (this=this@entry=0x55f09c9bd180, client=client@entry=0x55f09ac84d60, actions=..., doc=...) at /var/tmp/portage/kde-frameworks/kxmlgui-5.54.0/work/kxmlgui-5.54.0/src/kxmlguifactory.cpp:354
#8  0x00007f8134ac0039 in KXMLGUIFactory::plugActionList (this=0x55f09c9bcf10, client=client@entry=0x55f09ac84d60, name=..., actionList=...) at /var/tmp/portage/kde-frameworks/kxmlgui-5.54.0/work/kxmlgui-5.54.0/src/kxmlguifactory.cpp:578
#9  0x00007f8134ab6569 in KXMLGUIClient::plugActionList (this=this@entry=0x55f09ac84d60, name=..., actionList=...) at /var/tmp/portage/kde-frameworks/kxmlgui-5.54.0/work/kxmlgui-5.54.0/src/kxmlguiclient.cpp:713
#10 0x00007f7fefcff66e in KMComposerWin::initializePluginActions (this=this@entry=0x55f09ac84a50) at /var/tmp/portage/kde-apps/kmail-18.12.1/work/kmail-18.12.1/src/editor/kmcomposerwin.cpp:1361
#11 0x00007f7fefd05cf9 in KMComposerWin::setupActions (this=this@entry=0x55f09ac84a50) at /var/tmp/portage/kde-apps/kmail-18.12.1/work/kmail-18.12.1/src/editor/kmcomposerwin.cpp:1299
#12 0x00007f7fefd1557f in KMComposerWin::KMComposerWin (this=this@entry=0x55f09ac84a50, aMsg=..., lastSignState=lastSignState@entry=false, lastEncryptState=lastEncryptState@entry=false, context=context@entry=KMail::Composer::NoTemplate, id=id@entry=0, textSelection=..., customTemplate=..., __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /var/tmp/portage/kde-apps/kmail-18.12.1/work/kmail-18.12.1/src/editor/kmcomposerwin.cpp:440
#13 0x00007f7fefd160e1 in KMComposerWin::create (msg=..., lastSignState=lastSignState@entry=false, lastEncryptState=lastEncryptState@entry=false, context=context@entry=KMail::Composer::NoTemplate, identity=identity@entry=0, textSelection=..., customTemplate=...) at /var/tmp/portage/kde-apps/kmail-18.12.1/work/kmail-18.12.1/src/editor/kmcomposerwin.cpp:226
#14 0x00007f7fefd1611c in KMail::makeComposer (msg=..., lastSignState=lastSignState@entry=false, lastEncryptState=lastEncryptState@entry=false, context=context@entry=KMail::Composer::NoTemplate, identity=identity@entry=0, textSelection=..., customTemplate=...) at /var/tmp/portage/kde-apps/kmail-18.12.1/work/kmail-18.12.1/src/editor/kmcomposerwin.cpp:220
#15 0x00007f7fefc0f706 in KMKernel::recoverDeadLetters (this=this@entry=0x55f09aca00d0) at /var/tmp/portage/kde-apps/kmail-18.12.1/work/kmail-18.12.1/src/kmkernel.cpp:986
#16 0x00007f7ff4486439 in KMailPart::KMailPart (this=this@entry=0x55f09ac6e500, parentWidget=parentWidget@entry=0x55f09a9e2e20, parent=parent@entry=0x55f09a9e2e20, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /var/tmp/portage/kde-apps/kmail-18.12.1/work/kmail-18.12.1/src/kmail_part.cpp:79
#17 0x00007f7ff4486bf1 in KPluginFactory::createPartInstance<KMailPart> (parentWidget=0x55f09a9e2e20, parent=0x55f09a9e2e20, args=...) at /usr/include/KF5/KCoreAddons/kpluginfactory.h:539
#18 0x00007f81342c32e9 in KPluginFactory::create(char const*, QWidget*, QObject*, QList<QVariant> const&, QString const&) () from /usr/lib64/libKF5CoreAddons.so.5
#19 0x00007f8134f34106 in KontactInterface::Core::createPart(char const*) () from /usr/lib64/libKF5KontactInterface.so.5
#20 0x00007f7ff4ee8736 in KMailPlugin::createPart (this=0x55f09ac32e70) at /var/tmp/portage/kde-apps/kmail-18.12.1/work/kmail-18.12.1/src/kontactplugin/kmail/kmail_plugin.cpp:190
#21 0x00007f8134f3718c in KontactInterface::Plugin::part() () from /usr/lib64/libKF5KontactInterface.so.5
#22 0x00007f813516193c in Kontact::MainWindow::selectPlugin (this=0x55f09a9e2e20, plugin=<optimized out>) at /var/tmp/portage/kde-apps/kontact-18.12.1/work/kontact-18.12.1/src/mainwindow.cpp:716
#23 0x00007f813516028c in Kontact::MainWindow::loadSettings (this=0x55f09a9e2e20) at /var/tmp/portage/kde-apps/kontact-18.12.1/work/kontact-18.12.1/src/mainwindow.cpp:855
#24 0x00007f8135163fd5 in Kontact::MainWindow::initObject (this=this@entry=0x55f09a9e2e20) at /var/tmp/portage/kde-apps/kontact-18.12.1/work/kontact-18.12.1/src/mainwindow.cpp:252
#25 0x00007f8135164758 in Kontact::MainWindow::MainWindow (this=0x55f09a9e2e20, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /var/tmp/portage/kde-apps/kontact-18.12.1/work/kontact-18.12.1/src/mainwindow.cpp:160
#26 0x000055f09a2e33ac in KontactApp::activate (this=0x7ffc2d16b870, args=..., workingDir=...) at /var/tmp/portage/kde-apps/kontact-18.12.1/work/kontact-18.12.1/src/main.cpp:133
#27 0x00007f8134f39e6d in KontactInterface::PimUniqueApplication::start(QStringList const&, bool) () from /usr/lib64/libKF5KontactInterface.so.5
#28 0x000055f09a2e2461 in main (argc=<optimized out>, argv=<optimized out>) at /var/tmp/portage/kde-apps/kontact-18.12.1/work/kontact-18.12.1/src/main.cpp:212

Possible duplicates by query: bug 318032, bug 304699, bug 299020.

Reported using DrKonqi
Comment 1 Tobias Klaus 2019-01-17 17:34:08 UTC
After activating/deactivating every of the "Editor Plugins" I could reproduce this by activating the "Share Text" plugin and mitigate this issue by deactivating this  plugin.
Comment 2 Lieven Tytgat 2019-01-23 09:21:42 UTC
Created attachment 117618 [details]
New crash information added by DrKonqi

kontact (5.10.1) using Qt 5.11.2

- What I was doing when the application crashed:
I was replying a mail when kontact crashed.
Since I was unable to restart kontact successfully.

I'm running kde-neon on a regular ubuntu 18.04

removeing the files in .local/share/kmail2/autosave/ fixed the problem

-- Backtrace (Reduced):
#6  0x00007f942142779a in QObject::property(char const*) const () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f942330c1ab in KXMLGUIFactoryPrivate::refreshActionProperties(KXMLGUIClient*, QList<QAction*> const&, QDomDocument const&) (this=this@entry=0x562adead6830, client=client@entry=0x562add6b2580, actions=..., doc=...) at ./src/kxmlguifactory.cpp:354
#8  0x00007f942330d209 in KXMLGUIFactory::plugActionList(KXMLGUIClient*, QString const&, QList<QAction*> const&) (this=0x562adead65c0, client=client@entry=0x562add6b2580, name=..., actionList=...) at ./src/kxmlguifactory.cpp:578
#9  0x00007f9423303749 in KXMLGUIClient::plugActionList(QString const&, QList<QAction*> const&) (this=this@entry=0x562add6b2580, name=..., actionList=...) at ./src/kxmlguiclient.cpp:713
#10 0x00007f928d927c6e in KMComposerWin::initializePluginActions() (this=this@entry=0x562add6b2270) at ./src/editor/kmcomposerwin.cpp:1361
Comment 3 Wolfgang Bauer 2019-01-25 10:10:37 UTC
*** Bug 403581 has been marked as a duplicate of this bug. ***
Comment 4 Wolfgang Bauer 2019-02-17 19:58:58 UTC
*** Bug 404467 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2019-03-09 00:52:12 UTC
*** Bug 405117 has been marked as a duplicate of this bug. ***
Comment 6 Christoph Feck 2019-03-09 00:52:37 UTC
*** Bug 404237 has been marked as a duplicate of this bug. ***
Comment 7 Wolfgang Bauer 2019-03-13 20:24:56 UTC
*** Bug 403566 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2019-03-31 09:35:32 UTC
Bug 401739 is for KMMainWidget, this bug for KMComposerWin.
Comment 9 Christoph Feck 2019-03-31 09:37:27 UTC
*** Bug 405568 has been marked as a duplicate of this bug. ***
Comment 10 Laurent Montel 2019-04-29 19:14:48 UTC
It was a problem as your distro doesn't add purpose as dependancy directly.
Now in 19.04/master it's required.
Comment 11 Andreas 2019-04-30 08:27:40 UTC
Sounds as if there is a workaround by installing a missing package. Is that the case? I have a libkf5purpose5 (Neon packages) installed if that is what "purpose" refers too.
Comment 12 Laurent Montel 2019-04-30 10:32:36 UTC
(In reply to Andreas from comment #11)
> Sounds as if there is a workaround by installing a missing package. Is that
> the case? I have a libkf5purpose5 (Neon packages) installed if that is what
> "purpose" refers too.

Did you build all pim against it ?
(you need dev package too)
Comment 13 Wolfgang Bauer 2019-04-30 10:46:42 UTC
(In reply to Laurent Montel from comment #12)
> (In reply to Andreas from comment #11)
> > Sounds as if there is a workaround by installing a missing package. Is that
> > the case? I have a libkf5purpose5 (Neon packages) installed if that is what
> > "purpose" refers too.
> 
> Did you build all pim against it ?
> (you need dev package too)

pimcommon should be enough, or is there something else?

Building pimcommon with Purpose does indeed fix this crash for me, but with the "Share Text" plugin enabled, kmail still crashes when the composer window is closed (with or without sending the mail)... I'm using version 5.10.0 here.

I suppose I should file a new bug report about that though.
Comment 14 Wolfgang Bauer 2019-04-30 10:47:55 UTC
PS:
(In reply to Laurent Montel from comment #10)
> It was a problem as your distro doesn't add purpose as dependancy directly.
I suppose the reason is that Purpose isn't mentioned in the FEATURE_SUMMARY at all when building it, so the "missing" dependency likely went unnoticed.

> Now in 19.04/master it's required.
It's still marked as OPTIONAL in the 19.04 branch though.
Comment 15 Wolfgang Bauer 2019-04-30 10:53:57 UTC
(In reply to Wolfgang Bauer from comment #13)
> I'm using version
> 5.10.0 here.

Oops, sorry, I'm actually using 5.11.0 here (from KDE Applications 19.04.0), i.e. the latest stable release.
Comment 16 Laurent Montel 2019-04-30 11:46:50 UTC
(In reply to Wolfgang Bauer from comment #14)
> PS:
> (In reply to Laurent Montel from comment #10)
> > It was a problem as your distro doesn't add purpose as dependancy directly.
> I suppose the reason is that Purpose isn't mentioned in the FEATURE_SUMMARY
> at all when building it, so the "missing" dependency likely went unnoticed.
> 
> > Now in 19.04/master it's required.
> It's still marked as OPTIONAL in the 19.04 branch though.

Ah yep still optional in 19.04 I thought I was making it required for 19.04.
Comment 17 Laurent Montel 2019-04-30 11:50:05 UTC
Git commit 854791960719ff86958f4bd9dc8b2e3e8b5e6cb2 by Laurent Montel.
Committed on 30/04/2019 at 11:49.
Pushed by mlaurent into branch 'Applications/19.04'.

QUIET was not a good idea here. So we didn't inform that

we didn't find purpose

M  +1    -1    CMakeLists.txt

https://commits.kde.org/pimcommon/854791960719ff86958f4bd9dc8b2e3e8b5e6cb2
Comment 18 Laurent Montel 2019-04-30 12:01:15 UTC
Git commit 32b4086c7ccfcddba01fe6d852bef8cf4fec9bff by Laurent Montel.
Committed on 30/04/2019 at 12:00.
Pushed by mlaurent into branch 'Applications/19.04'.

Fix Bug 403317 - KMAIL2; "Share Text" plugin segfaults

M  +7    -7    kmail/editorplugins/sharetext/sharetextplugineditorinterface.cpp

https://commits.kde.org/kdepim-addons/32b4086c7ccfcddba01fe6d852bef8cf4fec9bff
Comment 19 Laurent Montel 2019-04-30 12:10:29 UTC
(In reply to Wolfgang Bauer from comment #13)
> (In reply to Laurent Montel from comment #12)
> > (In reply to Andreas from comment #11)
> > > Sounds as if there is a workaround by installing a missing package. Is that
> > > the case? I have a libkf5purpose5 (Neon packages) installed if that is what
> > > "purpose" refers too.
> > 
> > Did you build all pim against it ?
> > (you need dev package too)
> 
> pimcommon should be enough, or is there something else?
> 
> Building pimcommon with Purpose does indeed fix this crash for me, but with
> the "Share Text" plugin enabled, kmail still crashes when the composer
> window is closed (with or without sending the mail)... I'm using version
> 5.10.0 here.

I need a backtrace for it too.
Comment 20 Wolfgang Bauer 2019-05-01 06:31:28 UTC
(In reply to Laurent Montel from comment #19)
> > Building pimcommon with Purpose does indeed fix this crash for me, but with
> > the "Share Text" plugin enabled, kmail still crashes when the composer
> > window is closed (with or without sending the mail)... I'm using version
> > 5.10.0 here.
> 
> I need a backtrace for it too.
That's no longer necessary.
The latest commit to kdepim-addons (comment#18) fixed that crash. (it was crashing in PimCommon::PurposeMenuWidget's destructor)

And I can confirm that this commit fixes the original crash (when pimcommon is built without Purpose) here as well.

Thank you!
Comment 21 Christoph Feck 2019-05-14 20:19:42 UTC
*** Bug 407026 has been marked as a duplicate of this bug. ***
Comment 22 Wolfgang Bauer 2019-06-16 19:30:26 UTC
*** Bug 408798 has been marked as a duplicate of this bug. ***